Next Previous Contents

## 3.184 tgi_install

> Function

>   Install an already loaded driver and return an error code.

> Header

>   `tgi.h`

> Declaration

>   `unsigned char __fastcall__ tgi_install (void* driver);`

> Description

>   The function installs a driver that was already loaded into memory (or linked statically to the program). It returns an error code (`TGI_ERR_OK` in case of success).

> Limits

>   - The function is only available as fastcall function, so it may only be used in presence of a prototype.
> Availability

>   cc65

> See also

>   tgi_load_driver, tgi_uninstall, tgi_unload

> Example

>       extern char lynxtgi[]; //Include the driver statically instead of loading it.

>       tgi_install(&lynxtgi);
>       tgi_init(); //Set up the default palette and clear the screen.

Next Previous Contents